let baseApps = [
  "melawy-welcome.desktop",
  "systemsettings.desktop",
  "pamac.desktop",
  "org.kde.dolphin.desktop",
  "org.kde.konsole.desktop",
  "org.kde.kcalc.desktop",
  "org.kde.kate.desktop"
];

let addApps = [
  ["code.desktop", "com.visualstudio.code.desktop"],
  ["org.telegram.desktop.desktop", "org.telegram.desktop.desktop"],
  ["discord.desktop", "com.discordapp.Discord.desktop"],
  ["Zoom.desktop", "us.zoom.Zoom.desktop"],
  ["firefoxdeveloperedition.desktop", "firefoxdeveloperedition.desktop"],
  ["firefox.desktop", "org.mozilla.firefox.desktop"],
  ["brave-browser.desktop", "com.brave.Browser.desktop"],
  ["google-chrome.desktop", "com.google.Chrome.desktop"]
];


let applications = '';

baseApps.forEach((i) => {
  if (applicationExists(i))  {
    applications += 'applications:' + i + ',';
  }
});

addApps.forEach((i) => {
  if (applicationExists(i[0]))  {
    applications += 'applications:' + i[0] + ',';
  } else if (applicationExists(i[1]))  {
    applications += 'applications:' + i[1] + ',';
  }
});

applications = applications.substring(0, applications.length - 1).split(',');

/*dock*/
applet.currentConfigGroup = [];
applet.writeConfig("launchers", "")
applet.currentConfigGroup = ["General"];
applet.writeConfig("indicateAudioStreams", "true")
applet.writeConfig("iconSpacing", "0")
applet.writeConfig("launchers", `${applications}`)
applet.writeConfig("maxStripes", "1")
